import { createAsyncThunk } from "@reduxjs/toolkit";
import axios from "axios";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";

export const hourLimitGetKillRequestService = createAsyncThunk(
  "HOUR_LIMIT_GET_KILL_REQUEST_SERVICE",
  async (d, { dispatch }) => {
    dispatch(LOADING_START());
    const { data, status } = await axios.get("hour_limit/");
    dispatch(LOADING_END());
    return { data, status };
  }
);
